=== debian/changelog ===
nodejs (12.7.0~dfsg-1) experimental; urgency=medium

  * New upstream version 12.7.0~dfsg (Closes: #932991)
  * Use shared libuv >= 1.30.1
  * Build-Depends node-debbundle-acorn >= 6.1.0~
  * Build-Depends libnghttp2-dev >= 1.39.1
  * Tighten dependency on icu >= 64.0~
  * rules: set nghttp2 lib name - upstream assumes lib prefix
  * Upstream patch to fix linking against libnode
  * Build with snapshot https://github.com/nodejs/node/issues/28675

 -- Jérémy Lal <kapouer@melix.org>  Sat, 03 Aug 2019 19:48:03 +0200

nodejs (12.2.0~dfsg-1) experimental; urgency=medium

  * New upstream version 12.2.0~dfsg

 -- Jérémy Lal <kapouer@melix.org>  Tue, 07 May 2019 21:39:23 +0200
