## nodejs 12.18.2~dfsg

=== debian/changelog ===
nodejs (12.18.2~dfsg-1ubuntu2) groovy; urgency=medium

  * debian/patches/3f071e3.patch:
  * debian/patches/1a9c676a141b32483b48884f8cc0330e64c8e17f.patch:
    - cherry-pick two upstream changes in v8 to fix a testsuite failure on
      ppc64el for some sha1 calculation errors (LP: #1887144)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 19 Aug 2020 20:47:23 +0200

nodejs (12.18.2~dfsg-1ubuntu1) groovy; urgency=medium

  * Merge from Debian (LP: #1882185). Remaining changes:
    - debian/control:
      + change python build dependency to python2
    - debian/tests/control: change python test dependency to python2
    - debian/patches/python2.patch: explicitly invoke python2 in tests
    - debian/patches/test-lowerseclevel.patch: lower SECLEVEL in the
      openssl.cnf used for testing

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Jul 2020 15:12:12 +0200

nodejs (12.18.2~dfsg-1) unstable; urgency=medium

  * New upstream version 12.18.2~dfsg
  * Drop Breaks: libnode64-dev, package does not exist
  * Drop libnode-dev Depends: nodejs, useless
  * libnode72 breaks libnode64. Closes: #966008

 -- Jérémy Lal <kapouer@melix.org>  Wed, 22 Jul 2020 10:36:58 +0200

nodejs (12.18.1~dfsg-1ubuntu1) groovy; urgency=medium

  * Merge from Debian (LP: #1882185). Remaining changes:
    - debian/control:
      + change python build dependency to python2
    - debian/tests/control: change python test dependency to python2
    - debian/patches/python2.patch: explicitly invoke python2 in tests
    - debian/patches/test-lowerseclevel.patch: lower SECLEVEL in the
      openssl.cnf used for testing

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 08 Jul 2020 09:58:55 +0200

nodejs (12.18.1~dfsg-1) unstable; urgency=medium

  * New upstream version 12.18.1~dfsg
  * Update gbp.conf for *-12.x branches
  * Just completely disable ADDRCONFIG flag,
    but skip the two failing tests anyway
  * Multiarch hinter: remove Multi-Arch: same on libnode-dev
  * Patch to fix ppc64 build
  * rules: JOBS=1 on 32-bit only
  * libnode-dev depends nodejs: let addons test all right ?

 -- Jérémy Lal <kapouer@melix.org>  Tue, 30 Jun 2020 19:11:03 +0200

nodejs (12.18.0~dfsg-3ubuntu1) groovy; urgency=medium

  * Merge from Debian (LP: #1882185). Remaining changes:
    - debian/control:
      + change python build dependency to python2
    - debian/tests/control: change python test dependency to python2
    - debian/patches/python2.patch: explicitly invoke python2 in tests
    - debian/patches/test-lowerseclevel.patch: lower SECLEVEL in the
      openssl.cnf used for testing

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 17 Jun 2020 17:08:19 +0200

nodejs (12.18.0~dfsg-3) unstable; urgency=medium

  * mipsel does not support a feature leading to test failures
  * Two tests won't pass on IPv6-only hosts

 -- Jérémy Lal <kapouer@melix.org>  Thu, 11 Jun 2020 17:59:38 +0200

nodejs (12.18.0~dfsg-2) unstable; urgency=medium

  * Do not use dns.ADDRCONFIG for localhost

 -- Jérémy Lal <kapouer@melix.org>  Thu, 11 Jun 2020 10:03:21 +0200

nodejs (12.18.0~dfsg-1) experimental; urgency=medium

  * New upstream version 12.18.0~dfsg. Closes: #962145.
  * Security fixes:
    + CVE-2020-11080
    + CVE-2020-8172
    + CVE-2020-8174
  * Build-Depends nghttp2 >= 1.41.0

 -- Jérémy Lal <kapouer@melix.org>  Fri, 05 Jun 2020 09:07:20 +0200

nodejs (12.17.0~dfsg-4) experimental; urgency=medium

  * Fix openssl.cnf path in libnode-dev.install

 -- Jérémy Lal <kapouer@melix.org>  Wed, 03 Jun 2020 09:59:43 +0200

nodejs (12.17.0~dfsg-3) experimental; urgency=medium

  * nodejs-doc: remove placeholder in long desc,
    libnode__ABI is libnode72
  * install missing files:
    + libnode: node.stp systemtap config
    + nodejs: gdbinit, lldb_commands.py
  * move files in better paths (backward-compatibly):
    + usr/include/openssl.cnf to usr/share/doc/nodejs
    + usr/include/v8 links to usr/include/node
  * mips patches:
    + reduce reserved memory for mksnapshot to avoid oom
    + test-cli-node-options skips --jitless

 -- Jérémy Lal <kapouer@melix.org>  Wed, 03 Jun 2020 02:59:20 +0200

nodejs (12.17.0~dfsg-2) experimental; urgency=medium

  * Build with -g1 on 32-bit, else -g
  * Use dh --max-parallel=1 on 32-bit
  * Backport v8 commit to fix mips snapshots
  * Install devel files in /usr/include/node,
    keep the old locations for backward compatibility.
  * Use new alioth-lists email for maintainer
  * nodejs-doc: add misc:Depends
  * Standards-Version 4.5.0, no change required

 -- Jérémy Lal <kapouer@melix.org>  Mon, 01 Jun 2020 15:17:35 +0200

nodejs (12.17.0~dfsg-1) experimental; urgency=medium

  * New upstream version 12.17.0~dfsg
  * Ignore dh_dwz failures
  * Depends sse2-support on i386. Closes: #961621
  * copyright: deps/zlib/doc is no longer bundled
  * Drop icu 67 patch
  * On 32bit archs, save memory with -g1 and --max-parallel=1

 -- Jérémy Lal <kapouer@melix.org>  Fri, 29 May 2020 22:34:25 +0200

nodejs (12.16.3~dfsg-2) experimental; urgency=medium

  * Revert upstream commit, fix test-tls-root-certificates failure

 -- Jérémy Lal <kapouer@melix.org>  Thu, 30 Apr 2020 17:47:19 +0200

nodejs (12.16.3~dfsg-1) experimental; urgency=medium

  * New upstream version 12.16.3~dfsg
  * dh_dwz: set a lower low-mem-die-limit

 -- Jérémy Lal <kapouer@melix.org>  Thu, 30 Apr 2020 00:19:39 +0200

nodejs (12.16.2~dfsg-2) experimental; urgency=medium

  * Fix arch all build: skip tests, make install

 -- Jérémy Lal <kapouer@melix.org>  Sun, 26 Apr 2020 23:28:38 +0200

nodejs (12.16.2~dfsg-1) experimental; urgency=medium

  [ Xavier Guimard ]
  * Add upstream/metadata
  * Disable test-release-npm test
  * Switch to dh, Bump debhelper compatibility level to 12
  * New upstream version 12.16.1~dfsg
  * Refresh patches

  [ Olivier Tilloy ]
  * Fix building architecture-independent doc package
    (Closes: #952629)

  [ Jérémy Lal ]
  * Revert "Override any source-is-missing - workaround pattern issues"

