=== debian/control ===
--- 
+++ 
@@ -1,31 +1,34 @@
 Source: nodejs
 Section: javascript
 Priority: optional
-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
+Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@alioth-lists.debian.net>
 Uploaders: Jérémy Lal <kapouer@melix.org>,
  Jonas Smedegaard <dr@jones.dk>
-Build-Depends: cdbs,
- debhelper (>=9.20160114),
+Build-Depends:
+ debhelper-compat (= 12),
  dh-buildinfo,
+ bash-completion,
+ ca-certificates,
+ curl,
+ gyp (>= 0.1~svn1773),
+ libbrotli-dev,
+ libc-ares-dev (>= 1.14~),
+ libhttp-parser-dev (>= 2.9.2~),
+ libicu-dev (>= 64.0~),
+ libkvm-dev [kfreebsd-any],
+ libnghttp2-dev (>= 1.41.0~),
+ libssl-dev (>= 1.1.1~),
+ libuv1-dev (>= 1.33.0~),
+ node-acorn (>= 6.2.1~),
+ openssl (>= 1.1.1~),
  pkg-config,
- bash-completion,
- libkvm-dev [kfreebsd-any],
- gyp (>= 0.1~svn1773),
- openssl (>= 1.1.1~),
+ pkg-js-tools (>= 0.8.2~),
+ python2,
+ procps,
  zlib1g-dev,
- libicu-dev (>= 64.0~),
- libc-ares-dev (>= 1.14~),
- libnghttp2-dev (>= 1.39.1~),
- curl,
- procps,
- node-debbundle-acorn (>= 6.1.0~),
- ca-certificates,
- python,
- libssl-dev (>= 1.1.1~),
- libuv1-dev (>= 1.30.1~)
 Build-Depends-Indep: node-js-yaml,
  node-marked
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: http://nodejs.org/
 Vcs-Browser: https://salsa.debian.org/js-team/nodejs/tree/master-12.x
 Vcs-Git: https://salsa.debian.org/js-team/nodejs.git -b master-12.x
@@ -33,15 +36,15 @@
 Package: libnode-dev
 Section: libdevel
 Architecture: amd64 arm64 armhf i386 kfreebsd-i386 kfreebsd-amd64 mips mips64el mips64r6el mipsel ppc64 ppc64el s390x
-Multi-Arch: same
-Depends: ${cdbs:Depends},
- ${misc:Depends},
+Depends: ${misc:Depends},
+ libssl-dev (>= 1.1.1~),
+ libuv1-dev (>= 1.33.0~),
  libnode72 (= ${binary:Version})
-Suggests: ${cdbs:Suggests}
-Breaks: ${cdbs:Breaks}
-Replaces: ${cdbs:Replaces}
-Conflicts: ${cdbs:Conflicts}
-Provides: ${cdbs:Provides}
+Breaks: nodejs-dev (<< 10.0.0~dfsg1-3)
+Replaces: libv8-dev,
+ nodejs-dev (<< 10.0.0~dfsg1-3)
+Conflicts: libv8-dev (<= 3.14.5.8-11)
+Provides: libv8-dev
 Description: evented I/O for V8 javascript (development files)
  Node.js is a platform built on Chrome's JavaScript runtime for easily
  building fast, scalable network applications. Node.js uses an
@@ -49,7 +52,7 @@
  efficient, perfect for data-intensive real-time applications that run
  across distributed devices.
  .
- This package provides development headers for libnode__ABI.
+ This package provides development headers for libnode72
 
 Package: nodejs
 Architecture: amd64 arm64 armhf i386 kfreebsd-i386 kfreebsd-amd64 mips mips64el mips64r6el mipsel ppc64 ppc64el s390x
@@ -58,8 +61,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  libnode72 (= ${binary:Version})
-Provides: ${cdbs:Provides}
-Recommends: ${cdbs:Recommends},
+Recommends: ca-certificates,
  nodejs-doc
 Suggests: npm
 Replaces: nodejs-legacy
@@ -82,10 +84,10 @@
 Architecture: amd64 arm64 armhf i386 kfreebsd-i386 kfreebsd-amd64 mips mips64el mips64r6el mipsel ppc64 ppc64el s390x
 Multi-Arch: same
 Depends: ${shlibs:Depends},
- ${misc:Depends}
-Provides: ${cdbs:Provides}
-Recommends: ${cdbs:Recommends}
-Breaks: ${cdbs:Breaks}
+ ${misc:Depends},
+ sse2-support [i386]
+Breaks: node-modern-syslog (<< 1.1.4-2),
+ libnode64
 Replaces: nodejs-legacy
 Conflicts: nodejs-legacy
 Description: evented I/O for V8 javascript - runtime library
@@ -107,9 +109,8 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
+Recommends: nodejs
 Depends: ${misc:Depends}
-Provides: ${cdbs:Provides}
-Recommends: ${cdbs:Recommends}, nodejs
 Replaces: nodejs (<< 6.11.2~dfsg-3)
 Conflicts: nodejs (<< 6.11.2~dfsg-3)
 Description: API documentation for Node.js, the javascript platform
