=== debian/rules ===
--- 
+++ 
@@ -1,21 +1,6 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
-
-# This needs to run before inclusion of CDBS snippets
-debian/control:: debian/control.in debian/watch
-DEB_PHONY_RULES += debian/control.in debian/watch
-debian/control.in::
-	sed $(foreach re,ABI ARCHS BRANCH,-e 's/__$(re)__/$($(re))/g') \
-		< debian/control.in.in > debian/control.in
-
-debian/watch::
-	sed $(foreach re,BRANCH,-e 's/__$(re)__/$($(re))/g') \
-		< debian/watch.in > debian/watch
-
-include /usr/share/cdbs/1/rules/utils.mk
-include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/autotools.mk
 
 # source equivalent of nodejs -e 'console.log(process.versions.modules)'
 ABI = $(shell awk '/^\#define NODE_MODULE_VERSION/ {print $$3}' src/node_version.h)
@@ -26,42 +11,6 @@
 # branch
 BRANCH := $(word 1, $(subst .,$(space), $(DEB_UPSTREAM_VERSION)))
 
-# Build-depend unversioned on debhelper
-#  TODO: Drop when adopted in cdbs
-CDBS_BUILD_DEPENDS_rules_debhelper_v9 = debhelper (>=9.20160114)
-
-# Do not install licensecheck please
-CDBS_BUILD_DEPENDS_rules_utils_copyright-check =
-
-# Needed by upstream build
-#  * recent gyp needed to build using flock
-bdeps = pkg-config, bash-completion, libkvm-dev [kfreebsd-any], gyp (>= 0.1~svn1773)
-bdeps +=, openssl (>= 1.1.1~)
-bdeps +=, zlib1g-dev
-bdeps +=, libicu-dev (>= 64.0~)
-bdeps +=, libc-ares-dev (>= 1.14~)
-bdeps +=, libnghttp2-dev (>= 1.39.1~)
-# bdeps +=, libhttp-parser-dev (>= 2.8~)
-
-# Needed by dev
-devdeps = libssl-dev (>= 1.1.1~)
-devdeps +=, libuv1-dev (>= 1.30.1~)
-
-# Needed for tests
-bdeps +=, curl, procps,
-bdeps +=, node-debbundle-acorn (>= 6.1.0~)
-bdeps +=, ca-certificates
-bdeps +=, python
-
-CDBS_BUILD_DEPENDS +=, $(bdeps), $(deps), $(devdeps)
-CDBS_DEPENDS_libnode-dev = $(devdeps)
-
-CDBS_RECOMMENDS_nodejs = ca-certificates
-CDBS_BREAKS_libnode-dev = nodejs-dev (<< 10.0.0~dfsg1-3), libnode64-dev
-CDBS_BREAKS_libnode$(ABI) = node-modern-syslog (<< 1.1.4-2)
-CDBS_REPLACES_libnode-dev = nodejs-dev (<< 10.0.0~dfsg1-3), libnode64-dev, libv8-dev
-CDBS_PROVIDES_libnode-dev = libv8-dev
-CDBS_CONFLICTS_libnode-dev = libv8-dev (<= 3.14.5.8-11)
 LANG=C
 export LANG
 DEB_CONFIGURE_NORMAL_ARGS =
@@ -70,7 +19,8 @@
 --shared \
 --shared-zlib \
 --shared-cares \
---shared-nghttp2 --shared-nghttp2-libname=nghttp2 \
+--shared-nghttp2 \
+--shared-brotli \
 --with-intl=system-icu \
 --prefix=/usr \
 --openssl-use-def-ca-store \
@@ -82,7 +32,6 @@
 
 # map HOST ARCH AND OS, and if unknown let upstream guess
 
-# ia32 x64 x32 arm arm64 mips mipsel mips64el x87 ppc ppc64
 destCpu =
 destCpu := $(or $(destCpu),$(if $(filter i386,$(DEB_HOST_ARCH)),ia32))
 destCpu := $(or $(destCpu),$(if $(filter x32,$(DEB_HOST_ARCH)),x32))
@@ -131,13 +80,11 @@
 # https://lists.debian.org/debian-mips/2016/07/msg00000.html
 ifeq (mipsel, $(DEB_HOST_ARCH))
 DEB_CONFIGURE_EXTRA_FLAGS += --with-mips-arch-variant=r2 --with-mips-fpu-mode=fpxx
-LDFLAGS += -latomic
 CFLAGS += -gsplit-dwarf
 CPPFLAGS += -gsplit-dwarf
 endif
 ifeq (mips, $(DEB_HOST_ARCH))
 DEB_CONFIGURE_EXTRA_FLAGS += --with-mips-arch-variant=r2 --with-mips-fpu-mode=fpxx
-LDFLAGS += -latomic
 CFLAGS += -gsplit-dwarf
 CPPFLAGS += -gsplit-dwarf
 endif
@@ -145,9 +92,13 @@
 # mips32r1 or greater, detected at runtime
 ifeq (mips64el, $(DEB_HOST_ARCH))
 DEB_CONFIGURE_EXTRA_FLAGS += --with-mips-arch-variant=rx --with-mips-fpu-mode=fp64
+CFLAGS += -gsplit-dwarf
+CPPFLAGS += -gsplit-dwarf
 endif
 ifeq (mips64r6el, $(DEB_HOST_ARCH))
 DEB_CONFIGURE_EXTRA_FLAGS += --with-mips-arch-variant=rx --with-mips-fpu-mode=fp64
+CFLAGS += -gsplit-dwarf
+CPPFLAGS += -gsplit-dwarf
 endif
 
 ifeq (armel, $(DEB_HOST_ARCH))
@@ -176,14 +127,6 @@
 
 DEB_DESTDIR = $(CURDIR)/debian/tmp
 DEB_MAKE_CLEAN_TARGET = clean
-ifeq ($(DEB_PARALLEL_JOBS),)
-JOBS := 1
-else ifeq ($(SCHROOT_USER),"buildd")
-JOBS := 1
-else
-JOBS := $(DEB_PARALLEL_JOBS)
-endif
-export JOBS
 DEB_MAKE_BUILD_TARGET = build
 
 #  relax regression tests when targeted experimental suite
@@ -192,6 +135,7 @@
 export TEST_CI_ARGS = --arch=$(destCpu) --timeout=3000
 export CI_JS_SUITES = message parallel sequential
 export NODE_TEST_DIR = $(CURDIR)/tmp
+export PYTHON = python2
 # needed for tests to avoid "ee key too small" errors
 export OPENSSL_CONF = ./deps/openssl/openssl/apps/openssl.cnf
 # keep in mind ./debian/rules check is also invoked by adt-run, see debian/tests/
@@ -199,12 +143,23 @@
 DEB_MAKE_CHECK_TARGET = $(exp-relax-check) test-ci-js
 
 # build -fPIC
-CFLAGS+=-fPIC
-CPPFLAGS+=-fPIC
+CFLAGS += -fPIC
+CPPFLAGS += -fPIC
+
+ifeq ($(DEB_HOST_ARCH_BITS),32)
+CFLAGS += -g1
+CPPFLAGS += -g1
+DH_FLAGS += --max-parallel=1
+export JOBS = 1
+else
+CFLAGS += -g
+CPPFLAGS += -g
+endif
+
+
 # hardening gyp
-CFLAGS+=-g
-CPPFLAGS+=-g
-CXXFLAGS+=$(CPPFLAGS)
+CXXFLAGS += $(CPPFLAGS)
+
 export CPPFLAGS
 export CXXFLAGS
 export CFLAGS
@@ -213,8 +168,12 @@
 # disable DNS requests during tests
 export RES_OPTIONS = attempts:0
 
+%:
+	dh $@ $(DH_FLAGS)
+
 # properly clean files from build, test, python
-clean::
+override_dh_auto_clean:
+	dh_auto_clean
 	rm -f icu_config.gypi
 	rm -rf test/addons/doc-*
 	rm -f test/addons/.buildstamp
@@ -225,8 +184,6 @@
 	rm -f config.status
 	rm -f test/fixtures/hello.txt
 	rm -rf $(NODE_TEST_DIR)
-	rm -f node_modules
-	rm -rf tools/node_modules
 	find . -name "*.pyc" -delete
 	rm -rf out
 	rm -rf deps/acorn/
@@ -234,8 +191,48 @@
 	rm -f debian/libnode-dev.links
 
 # remove *.json files from documentation
-binary-install/nodejs-doc::
-	find debian/nodejs-doc/usr/share/doc/nodejs-doc -name *.json -delete
-
-pre-build::
-	ln -sTf /usr/lib/nodejs node_modules
+override_dh_installdocs:
+	dh_installdocs
+	find debian/nodejs-doc/usr/share/doc/nodejs-doc -name *.json -delete || true
+
+override_dh_auto_configure:
+	./configure $(DEB_CONFIGURE_EXTRA_FLAGS)
+
+override_dh_auto_build-arch:
+	mkdir -p $(NODE_TEST_DIR)
+	mkdir -p deps/acorn/
+	ln -sTf $(shell nodepath acorn) deps/acorn/acorn
+	ln -sTf $(shell nodepath acorn-walk) deps/acorn/acorn-walk
+	dh_auto_build
+
+override_dh_auto_build-indep:
+	NODE_PATH=/usr/share/nodejs:/usr/lib/nodejs $(MAKE) doc-only
+
+override_dh_auto_test-indep:
+	# skip tests
+
+override_dh_auto_test-arch:
+	$(MAKE) test-ci-js
+
+override_dh_auto_install-indep:
+	# skip install all
+
+override_dh_auto_install-arch:
+	dh_auto_install
+
+override_dh_install-arch:
+	sed 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' debian/libnode.install > debian/libnode$(ABI).install
+	sed -e 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' -e 's/@ABI@/$(ABI)/g' debian/libnode-dev.links.in > debian/libnode-dev.links
+	dh_install
+
+override_dh_dwz:
+	# Double up the limit of debug information entries
+	# Also, ignore failures (on 32-bit archs it might fail)
+	-dh_dwz -- --max-die-limit 100000000
+
+check:
+	-ln -s /usr/bin/node node
+	mkdir -p $(NODE_TEST_DIR)
+	$(MAKE) $(DEB_MAKE_CHECK_TARGET)
+	rm -f node
+	rm -rf $(NODE_TEST_DIR)
