## nodejs 12.19.0~dfsg

=== debian/changelog ===
nodejs (12.19.0~dfsg-1) unstable; urgency=medium

  * New upstream version 12.19.0~dfsg (Closes: #968681)
  * Refresh patches

 -- Jérémy Lal <kapouer@melix.org>  Wed, 07 Oct 2020 00:32:42 +0200

nodejs (12.18.4~dfsg-1) unstable; urgency=high

  * New upstream version 12.18.4~dfsg
    Vulnerabilities fixed:
    + CVE-2020-8201
      HTTP Request Smuggling due to CR-to-Hyphen conversion (High)
    + CVE-2020-8252
      fs.realpath.native on may cause buffer overflow (Medium)

 -- Jérémy Lal <kapouer@melix.org>  Wed, 16 Sep 2020 14:59:04 +0200

nodejs (12.18.3~dfsg-4) unstable; urgency=medium

  * python3 patch: use env.PYTHON in two tests
    Closes: #967032 for good.

 -- Jérémy Lal <kapouer@melix.org>  Sat, 08 Aug 2020 14:09:43 +0200

nodejs (12.18.3~dfsg-3) unstable; urgency=medium

  * export PYTHON = python3 for Makefile

 -- Jérémy Lal <kapouer@melix.org>  Fri, 07 Aug 2020 03:33:58 +0200

nodejs (12.18.3~dfsg-2) unstable; urgency=medium

  * tests/control: depends python3, python3-distutils, drop cdbs
    Thanks Moritz Mühlenhoff for noticing that.

 -- Jérémy Lal <kapouer@melix.org>  Wed, 05 Aug 2020 10:40:31 +0200

nodejs (12.18.3~dfsg-1) unstable; urgency=medium

  * New upstream version 12.18.3~dfsg
  * B-D python3, python3-distutils
    patch configure to use python3 (Closes: #967032)
  * nodejs-doc: depends libjs-highlight.js
  * copyright: dfsg-exclude highlight.pack.js,
    replace sh_javascript.min.js
  * source/lintian-overrides: drop sh_javascript.min.js override
  * Drop patch that restores unminified sh_javascript.min.js
  * Update make-doc.patch to deal with new syntax in esm.md

 -- Jérémy Lal <kapouer@melix.org>  Wed, 05 Aug 2020 00:11:08 +0200
