=== debian/control ===
--- 
+++ 
@@ -23,7 +23,8 @@
  openssl (>= 1.1.1~),
  pkg-config,
  pkg-js-tools (>= 0.8.2~),
- python2,
+ python3,
+ python3-distutils,
  procps,
  zlib1g-dev,
 Build-Depends-Indep: node-js-yaml,
@@ -111,6 +112,7 @@
 Multi-Arch: foreign
 Recommends: nodejs
 Depends: ${misc:Depends}
+ , libjs-highlight.js
 Replaces: nodejs (<< 6.11.2~dfsg-3)
 Conflicts: nodejs (<< 6.11.2~dfsg-3)
 Description: API documentation for Node.js, the javascript platform
