=== debian/rules ===
--- 
+++ 
@@ -135,7 +135,6 @@
 export TEST_CI_ARGS = --arch=$(destCpu) --timeout=3000
 export CI_JS_SUITES = message parallel sequential
 export NODE_TEST_DIR = $(CURDIR)/tmp
-export PYTHON = python2
 # needed for tests to avoid "ee key too small" errors
 export OPENSSL_CONF = ./deps/openssl/openssl/apps/openssl.cnf
 # keep in mind ./debian/rules check is also invoked by adt-run, see debian/tests/
@@ -164,6 +163,8 @@
 export CXXFLAGS
 export CFLAGS
 export LDFLAGS
+
+export PYTHON = python3
 
 # disable DNS requests during tests
 export RES_OPTIONS = attempts:0
